## python-shtab 1.5.5

=== docs/requirements.txt ===
mkdocs-material
git+https://github.com/iterative/jsmin@python3-only#egg=jsmin
mkdocs-minify-plugin
pydoc-markdown>=4
pygments
pymdown-extensions>=9

=== debian/changelog ===
python-shtab (1.5.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 20:58:32 +0100

python-shtab (1.5.5-2) unstable; urgency=medium

  * debian: fix Vcs metadata
  * debian: run testsuite

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Tue, 12 Jul 2022 16:06:02 +0200

python-shtab (1.5.5-1) unstable; urgency=medium

  [ Felix Mößbauer ]
  * Initial release (Closes: #1012761)

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Mon, 04 Jul 2022 12:23:48 +0200

=== debian/control ===
Source: python-shtab
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Felix Moessbauer <felix.moessbauer@siemens.com>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-setuptools (>=42),
 python3-setuptools-scm (>=3.4),
 python3-all (>=3.2),
 python3-wheel,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-timeout <!nocheck>,
Standards-Version: 4.6.1
Testsuite: autopkgtest-pkg-python
Homepage: https://docs.iterative.ai/shtab/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shtab
Vcs-Git: https://salsa.debian.org/python-team/packages/python-shtab.git
Rules-Requires-Root: no

Package: python3-shtab
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Automagic shell tab completion for Python CLI applications
 Automatically generate shell tab completion scripts for Python CLI apps.
 shtab processes an argparse.ArgumentParser object to generate
 a tab completion script for your shell.
 .
 This package contains the Python 3 version of the library.

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-all, python3-pytest, python3-pytest-cov, python3-pytest-timeout

=== debian/watch ===
version=4
https://pypi.debian.net/shtab/shtab-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-shtab 1.7.1

=== docs/requirements.txt ===
mkdocs-material
git+https://github.com/tqdm/jsmin@python3-only#egg=jsmin
mkdocs-minify-plugin
pydoc-markdown>=4,!=4.8.0
pygments
pymdown-extensions>=9

=== debian/changelog ===
python-shtab (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * Update copyright of debian/ dir to 2024
  * Update standards version
  * switched build system to pyproject (change was introduced in 1.6.5-1)
  * add Bug-Database and Bug-Submit entries to the upstream metadata

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Wed, 03 Apr 2024 09:20:40 +0200

python-shtab (1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Fri, 19 Jan 2024 15:18:57 +0100

python-shtab (1.5.5-4) unstable; urgency=medium

  [ Srinuvasan A ]
  * debian/control: Fix cross build issue for bullseye images

  [ Felix Moessbauer ]
  * add multi-arch hint

 -- Moessbauer Felix <felix.moessbauer@siemens.com>  Fri, 07 Jul 2023 13:17:37 +0800

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,17 @@
 Uploaders: Felix Moessbauer <felix.moessbauer@siemens.com>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-setuptools (>=42),
- python3-setuptools-scm (>=3.4),
- python3-all (>=3.2),
- python3-wheel,
+ python3-setuptools-scm:native (>=3.4),
+ libpython3-all-dev (>=3.2),
+ python3-all-dev:any (>=3.2),
+ python3-wheel:native,
+ python3-toml:native,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-timeout <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-python
 Homepage: https://docs.iterative.ai/shtab/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shtab
@@ -21,6 +24,7 @@
 
 Package: python3-shtab
 Architecture: all
+Multi-Arch: foreign
 Depends: ${python3:Depends}, ${misc:Depends}
 Description: Automagic shell tab completion for Python CLI applications
  Automatically generate shell tab completion scripts for Python CLI apps.

## python-shtab 1.7.2

=== docs/requirements.txt ===
mkdocs-material
git+https://github.com/tqdm/jsmin@fix-pip#egg=jsmin
mkdocs-minify-plugin
pydoc-markdown>=4,!=4.8.0
pygments
pymdown-extensions>=9

=== debian/changelog ===
python-shtab (1.7.2-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.7.2
  * Drop dependency on python3-toml
  * Drop Rules-Requires-Root
  * Trim d/rules with new syntax
  * Sort d/control with debputy

 -- Alexandre Detiste <tchet@debian.org>  Fri, 29 Aug 2025 22:02:53 +0200

=== debian/control ===
Source: python-shtab
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Felix Moessbauer <felix.moessbauer@siemens.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libpython3-all-dev (>=3.2),
 pybuild-plugin-pyproject,
 python3-all-dev:any (>=3.2),
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-setuptools (>=42),
 python3-setuptools-scm:native (>=3.4),
 python3-wheel:native,
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-python
Homepage: https://docs.iterative.ai/shtab/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shtab
Vcs-Git: https://salsa.debian.org/python-team/packages/python-shtab.git
X-Style: black

Package: python3-shtab
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Automagic shell tab completion for Python CLI applications
 Automatically generate shell tab completion scripts for Python CLI apps.
 shtab processes an argparse.ArgumentParser object to generate
 a tab completion script for your shell.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=shtab

%:
	dh $@ --buildsystem=pybuild

# remove auto-generated coverage files
execute_before_dh_install:
	rm -f debian/python3-shtab/usr/lib/python3.*/dist-packages/.coverage \
	   debian/python3-shtab/usr/lib/python3.*/dist-packages/coverage.xml

=== debian/tests/control ===
Tests:
 pytest,
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-timeout,
 @,

## python-shtab 1.8.0

=== debian/changelog ===
python-shtab (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * debian: cleanup python dependencies (Closes: 1129144)
  * debian: bump standards to 4.7.3
  * debian: install into correct python location
  * debian: add manpage for shtab

 -- Felix Moessbauer <felix.moessbauer@siemens.com>  Sun, 01 Mar 2026 19:30:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- libpython3-all-dev (>=3.2),
+ python3-all:any,
  pybuild-plugin-pyproject,
- python3-all-dev:any (>=3.2),
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-timeout <!nocheck>,
- python3-setuptools (>=42),
+ python3-setuptools (>=77),
  python3-setuptools-scm:native (>=3.4),
- python3-wheel:native,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-python
 Homepage: https://docs.iterative.ai/shtab/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shtab

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=shtab

%:
	dh $@ --with python3 --buildsystem=pybuild

# remove auto-generated coverage files
# double import protection not needed when distributing in Debian.
# for details, see
# https://setuptools.pypa.io/en/latest/deprecated/python_eggs.html#top-level-txt-conflict-management-metadata
execute_before_dh_install:
	rm -f debian/python3-shtab/usr/lib/python3.*/dist-packages/.coverage \
	   debian/python3-shtab/usr/lib/python3.*/dist-packages/coverage.xml
	rm -f debian/python3-shtab/usr/lib/python3.*/dist-packages/shtab-*.dist-info/top_level.txt
